---
title: "List projects"
description: "Get all projects accessible to the authenticated user within their organization"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.testandaccept.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Test And Accept API › Projects

`GET /projects`

Get all projects accessible to the authenticated user within their organization

## Authentication

- `bearerAuth`, http, header `Authorization`, format `tnda_ token`

## Query parameters

- `status` (`projects-list.query.status`; string, optional)
  - one of `"active"`, `"on_hold"`, `"completed"`, `"archived"`
- `clientId` (`projects-list.query.clientId`; string, optional)
  - format `uuid`; pattern `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$`
- `limit` (`projects-list.query.limit`; string, optional)
- `offset` (`projects-list.query.offset`; string, optional)

## Code samples

### cURL

```bash
curl --request GET \
  --url https://api.testandaccept.com/api/rest/projects \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.testandaccept.com/api/rest/projects';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.testandaccept.com/api/rest/projects"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Successful response

#### Example

```json
{
  "projects": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "description": "string",
      "status": "string",
      "clientId": "5e505642-9024-474d-9434-e5a44f505cc5",
      "clientName": "string",
      "contactId": "b5ec5d98-4bee-4da1-ad24-dde86346cb1d",
      "startDate": "2019-08-24T14:15:22Z",
      "endDate": "2019-08-24T14:15:22Z",
      "ownerUserId": "string",
      "organizationId": "string",
      "isPinned": true,
      "pinnedAt": "2019-08-24T14:15:22Z",
      "sowCount": 0,
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "total": 0
}
```

- `projects` (`projects-list.response.200.projects`; array<object>, required)
  - `id` (`projects-list.response.200.projects.id`; string, required)
    - format `uuid`; pattern `^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$`
  - `name` (`projects-list.response.200.projects.name`; string, required)
  - `status` (`projects-list.response.200.projects.status`; string, required)
  - `clientId` (`projects-list.response.200.projects.clientId`; any of, required)
    - any of: `string`, `null`
  - `contactId` (`projects-list.response.200.projects.contactId`; any of, required)
    - any of: `string`, `null`
  - `startDate` (`projects-list.response.200.projects.startDate`; any of, required)
    - any of: `string`, `null`
  - `endDate` (`projects-list.response.200.projects.endDate`; any of, required)
    - any of: `string`, `null`
  - `ownerUserId` (`projects-list.response.200.projects.ownerUserId`; string, required)
  - `organizationId` (`projects-list.response.200.projects.organizationId`; any of, required)
    - any of: `string`, `null`
  - `isPinned` (`projects-list.response.200.projects.isPinned`; boolean, required)
  - `pinnedAt` (`projects-list.response.200.projects.pinnedAt`; any of, required)
    - any of: `string`, `null`
  - `sowCount` (`projects-list.response.200.projects.sowCount`; number, required)
  - `createdAt` (`projects-list.response.200.projects.createdAt`; string, required)
    - format `date-time`; pattern `^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$`
  - `updatedAt` (`projects-list.response.200.projects.updatedAt`; string, required)
    - format `date-time`; pattern `^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$`
  - `description` (`projects-list.response.200.projects.description`; any of, optional)
    - any of: `string`, `null`
  - `clientName` (`projects-list.response.200.projects.clientName`; any of, optional)
    - any of: `string`, `null`
- `total` (`projects-list.response.200.total`; number, required)

### 400

Invalid input data

#### Example

```json
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
```

- `message` (`projects-list.response.400.message`; string, required) — The error message
  - example `"Invalid input data"`
- `code` (`projects-list.response.400.code`; string, required) — The error code
  - example `"BAD_REQUEST"`
- `issues` (`projects-list.response.400.issues`; array<object>, optional) — An array of issues that were responsible for the error
  - example `[]`
  - `message` (`projects-list.response.400.issues.message`; string, required)

### 401

Authorization not provided

#### Example

```json
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
```

- `message` (`projects-list.response.401.message`; string, required) — The error message
  - example `"Authorization not provided"`
- `code` (`projects-list.response.401.code`; string, required) — The error code
  - example `"UNAUTHORIZED"`
- `issues` (`projects-list.response.401.issues`; array<object>, optional) — An array of issues that were responsible for the error
  - example `[]`
  - `message` (`projects-list.response.401.issues.message`; string, required)

### 403

Insufficient access

#### Example

```json
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
```

- `message` (`projects-list.response.403.message`; string, required) — The error message
  - example `"Insufficient access"`
- `code` (`projects-list.response.403.code`; string, required) — The error code
  - example `"FORBIDDEN"`
- `issues` (`projects-list.response.403.issues`; array<object>, optional) — An array of issues that were responsible for the error
  - example `[]`
  - `message` (`projects-list.response.403.issues.message`; string, required)

### 404

Not found

#### Example

```json
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
```

- `message` (`projects-list.response.404.message`; string, required) — The error message
  - example `"Not found"`
- `code` (`projects-list.response.404.code`; string, required) — The error code
  - example `"NOT_FOUND"`
- `issues` (`projects-list.response.404.issues`; array<object>, optional) — An array of issues that were responsible for the error
  - example `[]`
  - `message` (`projects-list.response.404.issues.message`; string, required)

### 500

Internal server error

#### Example

```json
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}
```

- `message` (`projects-list.response.500.message`; string, required) — The error message
  - example `"Internal server error"`
- `code` (`projects-list.response.500.code`; string, required) — The error code
  - example `"INTERNAL_SERVER_ERROR"`
- `issues` (`projects-list.response.500.issues`; array<object>, optional) — An array of issues that were responsible for the error
  - example `[]`
  - `message` (`projects-list.response.500.issues.message`; string, required)


Source: https://docs.testandaccept.com/reference/projects/list/index.md
